/* =====================================
			Post Pro
===================================== */
.ts-post-pro-wrapper .row{
    --bs-gutter-x:30px;
    --bs-gutter-y:30px;
}
.ts-post-pro-grid-item{
margin-bottom:20px;
}
.ts-post-pro-grid-item.ts-hide {
  pointer-events: none;
}
.ts-post-pro-wrapper {height:100% !important;}

/* [data-equal-height*="true"] .ts-post-pro-item {height:100%;} */
/* [data-equal-height*="true"] .ts-post-pro-grid-item {height:100%;} */
[data-equal-height*="true"] .set-eq-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
}
[data-equal-height*="true"] .row:before
{
    display: table;
    content: " ";	
}
.ts-panel-overlay.active {
  opacity: 1;
  pointer-events: all;
}
.ts-post-pro-meta {
  transition: 0.3s ease;
  padding:0px 0 0;
  position:relative;
}
.ts-post-pro-meta-info{display:flex; gap:0 15px; align-items:center; flex-wrap:wrap}
.ts-post-pro-meta-info span{font-size:12px; font-style:italic;}
.ts-post-pro-slider-container{
    width:100%;
}
.ts-post-pro-item{
position:relative;
 }
/* ============== CARD ============== */
.ts-post-pro-container{
position:relative; 
    display:flex;
    flex-direction:column;
    width:100%;
    height:100%;
}
.ts-post-pro-content {
  position: relative;
  padding: 0px;
}
.style2 .ts-post-pro-meta
{position:absolute;
    left: 20px;
    right: 20px;
    bottom: 30px;
    background: #fff;
    padding: 20px;
    border-radius: 10px;
	opacity:0;
	z-index: 2;
	transform: translateY(50);
	-webkit-transition: all 1s ease-out 0s;
    transition: all 1s ease-out 0s;
}
.ts-post-reading-time {font-size: 11px;font-style:italic; margin-bottom:5px; display:block;}
.style2 .ts-post-pro-grid-item:hover .ts-post-pro-meta
{
transform: translateY(0);
opacity: 1;
}
.ts-post-pro-overlay{
    position: absolute;
    inset: 0;
    z-index: 1;
    pointer-events: none;
background-size: 300% 100%;
transform: scale3d(1, 1, 1);
  backface-visibility: hidden;
  will-change: transform;
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}
 .ts-post-pro-grid-item:hover .ts-post-pro-overlay
{
background-position: 100% 0;
}
.ts-post-pro-image-container {
	display:flex;
	align-items:center;
	justify-content:center;
	flex-direction:column;
	width:100%;
}
.ts-post-pro-image {
  width: 100%;
  overflow:hidden;
  position: relative;
border-radius: 15px 15px 15px 15px;
margin-bottom:20px;
display:flex;
align-items:center;
justify-content:center;
width:100%;
}
.ts-post-pro-image img{
    width:100%;
    transition:.5s ease;
}
.hover-zoom:hover img{
    transform:scale(1.1);
}
.hover-zoom_out img{
    transform:scale(1.2);
}

.hover-zoom_out:hover img{
    transform:scale(1);
}
.hover-rotate:hover img{
    transform:scale(1.1) rotate(5deg);
}
.hover-blur:hover img{
    filter:blur(3px);
}
.hover-grayscale img{
    filter:grayscale(100%);
}

.hover-grayscale:hover img{
    filter:none;
}
.hover-shine:before{
content:"";
position:absolute;
top:0;
left:-100%;
width:50%;
height:100%;
background:linear-gradient(90deg,transparent,rgba(255,255,255,.5),transparent);
transform:skewX(-25deg);
z-index:2;
}

.hover-shine:hover:before{
left:150%;
transition:.7s;
}
.ts-post-pro-wrapper .ts-post-pro-image .ts-post-pro-img img
{
  width: 100%;
  height: 100%;
  object-fit:cover;	
	-webkit-transition: opacity 1s, -webkit-transform 1s;
	transition: opacity 1s, transform 1s;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}
.ts-post-pro-wrapper .ts-post-pro-image:hover .ts-post-pro-img img {
	opacity: 1;
	-webkit-transform: scale3d(1.1,1.1,1);
	transform: scale3d(1.1,1.1,1);
}
.ts-post-pro-container .ts-post-pro-image a {
display: flex;
    width: 100%;
	height:100%;
    align-items: center;
    justify-content: center;
	overflow:hidden;
}

.ts-post-pro-title{font-size:16px;margin-bottom:0;}
.ts-post-pro-btn-wrap,
.ts-post-pro-btn{display:inline-flex; padding:5px 0; border-radius:4px;}
.ts-post-pro-container .ts-post-pro-meta .ts-post-pro-btn-wrap .ts-s-btn-icon i{font-size:15px;}
.ts-post-pro-container .ts-post-pro-meta .ts-post-pro-btn-wrap .ts-s-btn-icon svg{width:20px; height:20px;}
.ts-s-btn-icon i{font-size:16px;}
.ts-s-btn-icon svg{width:20px; height:auto;}
.ts-category-badge{ font-size:12px;}
.gradient-yes:after{ content:""; position:absolute; left:0; right:0; top:0; bottom:0; pointer-events: none; background:linear-gradient( 180deg, transparent 20%, rgba(0,0,0,.5) 100% ); }
/* ============================
			SWIPER
============================ */

.ts-post-pro-swiper {
    position: relative !important;
    width: 100%;
  overflow:hidden;
    position: relative;
	    padding-bottom: 35px;
}
.ts-post-pro-swiper .swiper-wrapper {
    display: flex;
	align-items: stretch;
}

.ts-post-pro-swiper .swiper-slide {
    height:auto;
    display:flex;
  margin-bottom:30px;
    padding-bottom: 30px;	
}
.ts-post-pro-swiper .ts-post-pro-item{
    display:flex;
    flex-direction:column;
    width:100%;
    height:100%;
}
.ts-post-pro-swiper .ts-post-pro-content{
    display:flex;
    flex-direction:column;
    flex:1;
}
.ts-post-pro-btn-wrap{
    margin-top:auto;
}
.ts-post-pro-wrapper .swiper-slide.swiper-slide-active .ts-post-pro-img img, 
.ts-post-pro-wrapper .swiper-slide.swiper-slide-duplicate-active .ts-post-pro-img img {
  transform: scale3d(1.3, 1.3, 1);
}

.ts-post-pro-wrapper .ts-post-pro-container:hover .ts-post-pro-img img
{
transform: scale3d(1.3, 1.3, 1);
  backface-visibility: hidden;
  will-change: transform;
  transition: transform 1400ms ease;
}
ul.page-numbers,
.ts-post-pro-pagination{
    position: relative !important;
	top:unset!important;
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
	margin-top: 20px;
}
.ts-post-pro-post-pagination
{
    position: relative !important;
	top:unset!important;
    z-index: 10;
    width: 100% !important;
    display: flex;
    align-items: center;
    justify-content: center;	
}
.page-numbers a,
.ts-post-pro-post-pagination a,
.ts-post-pro-post-pagination span{
    display: inline-flex;
    align-content: center;
    justify-content: center;
    align-items: center;	
}
.ts-post-pro-wrapper[data-layout="grid"] .page-numbers .page-numbers,
.ts-post-pro-wrapper[data-layout="grid"] .ts-post-pro-pagination span{
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
	margin:0 10px;
	background:#ddd;
	border-radius:50%;
	width:25px;
	height:25px;
	
}
.ts-post-pro-wrapper[data-layout="grid"] .next.page-numbers,
.ts-post-pro-wrapper[data-layout="grid"] .prev.page-numbers{
	background:transparent;
	border-radius:50%;
	width:auto;
	height:auto;
	
}
.page-numbers.current
{background:var(    --e-global-color-primary);}
.ts-post-pro-pagination .swiper-pagination-bullet{
    background: var(--theme-color);
    width: 22px;
    height: 4px;
    border-radius: 0;
	opacity:1;
    transition: opacity 1s ease;
}
.ts-post-pro-arrow {
    top: 50% !important;
	z-index:999;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: -54px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.ts-post-pro-wrapper .ts-post-pro-arrow .ts-post-pro-arrow-nav
{
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;	
	  -webkit-transition: all 0.35s;
  transition: all 0.35s;
}
.ts-post-pro-prev,
.ts-post-pro-next{
    position: absolute !important;
    top: 50%;
    transform: translateY(-50%);
    z-index: 20;
    cursor: pointer;
    width: 30px;
    height: 30px;
	opacity:0;
	
}
.ts-post-pro-wrapper:hover .ts-post-pro-prev,
.ts-post-pro-wrapper:hover .ts-post-pro-next
{
	transform: scale(1.1);
	opacity:0;
}
.ts-post-pro-prev svg,
.ts-post-pro-next svg{
width:100%;
height:100%;
}
.ts-post-pro-prev svg{transform: rotate(180deg);}
.ts-post-pro-prev{
    left: -30px!important;
	right: unset !important;
	
}

.ts-post-pro-next{
    right: -30px!important;
    left: unset !important;
}
.ts-post-pro-swiper  .ts-post-pro-next {
    transform: rotate(180deg);
}
.ts-post-pro-masonry{
    display:block !important;
}

.ts-post-pro-masonry > .ts-post-pro-grid-item{
    float:left;
}

@media (max-width:767px){
    .ts-post-pro-masonry .ts-post-pro-grid-item{
        width:100%;
    }
}

.ts-post-pro-masonry .grid-sizer,
.ts-post-pro-masonry .ts-post-pro-grid-item{
    
    box-sizing: border-box;
}

.ts-post-pro-masonry .ts-post-pro-grid-item{
    padding:15px;
}
/* ============================
			SWIPER MARQUEE
============================ */
.ts-post-pro-marquee-track > * {
  flex: 0 0 auto;
  width: 420px; /*  fixed width (adjust as needed) */
}
.ts-post-pro-marquee {
    overflow: hidden;
    width: 100%;
    position: relative !important;
}

.ts-post-pro-marquee-track {
    display: flex;
    width: max-content;
	  will-change: transform;
	    gap: 20px;
}

.ts-post-pro-marquee-track > * {
    flex: 0 0 auto;
}